HttpMessage::fromEnv
HttpMessage::getBody
The HttpMessage class
PHP Manual

# HttpMessage::fromString

(PECL pecl_http 0.10.0-1.3.3)

HttpMessage::fromString — Create HttpMessage from string

### Description

static public HttpMessage HttpMessage::fromString ([ string `$raw_message` [, string `$class_name` = "HttpMessage" ]] )

Create an HttpMessage object from a string.

This function alias is deprecated and only exists for backwards compatibility reasons. The use of this function is not recommended, as it may be removed from PHP in the future.

### Parameters

`raw_message`

  a single or several consecutive HTTP messages

`class_name`

  a class extending HttpMessage

### Return Values

Returns an HttpMessage object on success or NULL on failure.

### Errors/Exceptions

Throws HttpMalformedHeadersException.

### See Also

- HttpMessage::factory() - Create HttpMessage from string.

HttpMessage::fromEnv
HttpMessage::getBody
The HttpMessage class
PHP Manual